# Source: 010-message-broker-amq.yaml
apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: ex-aao
  application: ex-aao-app
spec:
  adminUser: "admin"
  adminPassword: "admin"
  console:
    expose: false
  deploymentPlan:
    readinessProbe:
      exec:
        command:
          - "false"
      initialDelaySeconds: 30
      timeoutSeconds: 5
    size: 1
    clustered: false
    image: "registry.redhat.io/amq7/amq-broker-rhel8@sha256:ae79b5dab78c4f48993fd8999b09bdcaa918b8e30a9f750bf24d411710f71928"
    initImage: "registry.redhat.io/amq7/amq-broker-init-rhel8@sha256:ba21779c29b431a22c824e91820705c9501fb0b7d6f7e1ae22fcd3becc8c8a2f"
    version: 7.9.5
    persistenceEnabled: true
    requireLogin: true
    journalType: nio
    jolokiaAgentEnabled: false
    enableMetricsPlugin: false
    storage:
      size: "2Gi"
  acceptors:
    - name: "internal"
      protocols: "core,openwire"
      port: 61616
